package org.jvnet.jaxb2_commons.util;

import java.util.Iterator;

import com.sun.tools.xjc.outline.ClassOutline;
import com.sun.tools.xjc.outline.Outline;
import com.sun.tools.xjc.outline.PackageOutline;

public class OutlineUtils {

	private OutlineUtils() {
	}

	public static String getClassName(ClassOutline classOutline) {
		return CodeModelUtils.getPackagedClassName(classOutline.implClass);
	}

	public static String getContextPath(Outline context) {
	    final StringBuffer sb = new StringBuffer();
	
	    for (final Iterator<? extends PackageOutline> packageOutlines = context
	        .getAllPackageContexts()
	        .iterator(); packageOutlines.hasNext();) {
	      final PackageOutline packageOutline = packageOutlines.next();
	      final String packageName = packageOutline._package().name();
	      sb.append(packageName);
	      if (packageOutlines.hasNext())
	        sb.append(':');
	    }
	    return sb.toString();
	  }

}
